%bcond_with python_bootstrap

Summary:        Config file reading, writing, and validation
Name:           python-configobj
Version:        5.0.8
Release:        3%{?dist}
License:        BSD
URL:            http://configobj.readthedocs.org/
Source0:        https://github.com/DiffSK/configobj/archive/v%{version}.tar.gz
Patch0001:	fixed-CVE-2023-26112.patch
BuildArch:      noarch
BuildRequires:  python3-devel  python3-setuptools
BuildRequires:  python3-six  python3-pytest

%description
ConfigObj is a simple but powerful configuration file reader and writer: an ini\
file round tripper. Its main feature is that it is very easy to use, with a\
straightforward programmers interface and a simple syntax for config files. 

%package     -n python3-configobj
Summary:        Config file reading, writing, and validation
Provides:       python3-configobj
Requires:       python3-six

%description -n python3-configobj 
ConfigObj is a simple but powerful configuration file reader and writer: an ini\
file round tripper. Its main feature is that it is very easy to use, with a\
straightforward programmers interface and a simple syntax for config files.

%prep
%autosetup -p1 -n configobj-%{version}

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH="$(pwd)/build/lib:%{?with_python_bootstrap:$PYTHONPATH}"
%{__python3} src/tests/configobj_doctests.py
%{__python3} -m configobj.validate
%pytest -c setup.cfg --color=yes

%files -n python3-configobj
%license LICENSE
%doc README.md
%{python3_sitelib}/configobj
%{python3_sitelib}/validate
%{python3_sitelib}/configobj-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.8-3
- Rebuilt for loongarch release

* Thu Nov 09 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.0.8-2
- fixed CVE-2023-26112

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 5.0.8-1
- update to 5.0.8

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Feng Weiyao <wynnfeng@tencent.com> - 5.0.6-1
- package init.
